$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-20.2.54.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-20.2.54.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'FDF938383D0B5A6F53A529A39838CADD00EF3B30E7CC3CC0DB9C5E78BB455DA4'
  checksumType = 'sha256'
  checksum64 = 'FDF938383D0B5A6F53A529A39838CADD00EF3B30E7CC3CC0DB9C5E78BB455DA4'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-20.2.54-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
